Bug 1120903 - [RFE] pulp worker count needs a maximum
Summary: [RFE] pulp worker count needs a maximum
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: Elyézer Rezende
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 00:45 UTC by Justin Sherrill
Modified: 2017-02-23 21:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:10:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 8266 None None None 2016-04-22 15:52:20 UTC

Description Justin Sherrill 2014-07-18 00:45:48 UTC
Description of problem:

currently if you install a satellite on systems with a large number of cpus (16, 32, etc..) the number of pulp workers is very large.  In reality we only need around 8 workers max.  So we should default the config file in /etc/defaults/ to 6 or 8 or the cpu count if its lower than 6 or 8

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Install satellite 6
2.  Check the number of workers  ps aux | grep pulp_workers (then divide by 2)


Actual results:
Does not limit itself to any number.

Expected results:
For a large cpu system should limit itself to 6 or 8

Additional info:

Comment 2 Eric Helms 2014-11-04 17:19:32 UTC
Created redmine issue http://projects.theforeman.org/issues/8266 from this bug

Comment 3 Bryan Kearney 2015-02-21 03:02:32 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/8266 has been closed

Comment 6 Elyézer Rezende 2015-04-07 12:31:23 UTC
Verified on Satellite-6.1.0-RHEL-7-20150406.0

Steps to verify:

1. Installed Satellite
2. Fetched the CPU number
3. Checked the number of pulp workers (decreased 1 because grep matches itself)


Machine 1
=========

# lscpu | grep '^CPU(s):'
CPU(s):                32

# expr $(ps aux | grep -E "reserved_resource_worker-" | wc -l) - 1
16


Machine 2
=========

# lscpu | grep '^CPU(s):'
CPU(s):                24

# expr $(ps aux | grep -E "reserved_resource_worker-" | wc -l) - 1
16


To get the real number of pulp workers, the number should be divided by 2 as stated in the bug description, in both cases was 8.

Comment 7 Bryan Kearney 2015-08-11 13:34:24 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:10:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.